## gnome-font-dialog

gnome-font-dialog

## Synopsis

    #define             GNOME_TYPE_FONT_SELECTION
    #define             GNOME_FONT_SELECTION                (o)
    #define             GNOME_FONT_SELECTION_CLASS          (k)
    #define             GNOME_IS_FONT_SELECTION             (o)
    #define             GNOME_IS_FONT_SELECTION_CLASS       (k)
    #define             GNOME_FONT_SELECTION_GET_CLASS      (o)
    #define             GNOME_TYPE_FONT_DIALOG
    #define             GNOME_FONT_DIALOG                   (o)
    #define             GNOME_FONT_DIALOG_CLASS             (k)
    #define             GNOME_IS_FONT_DIALOG                (o)
    #define             GNOME_IS_FONT_DIALOG_CLASS          (k)
    #define             GNOME_FONT_DIALOG_GET_CLASS         (o)
                        GnomeFontSelection;
                        GnomeFontSelectionClass;
                        GnomeFontPreview;
                        GnomeFontPreviewClass;
                        GnomeFontDialog;
                        GnomeFontDialogClass;
    GtkWidget *         gnome_font_selection_new            (void);
    GnomeFontFace *     gnome_font_selection_get_face       (GnomeFontSelection *fontsel);
    gdouble             gnome_font_selection_get_size       (GnomeFontSelection *fontsel);
    GnomeFont *         gnome_font_selection_get_font       (GnomeFontSelection *fontsel);
    void                gnome_font_selection_set_font       (GnomeFontSelection *fontsel,
                                                             GnomeFont *font);
    GType               gnome_font_preview_get_type         (void);
    GtkWidget *         gnome_font_preview_new              (void);
    void                gnome_font_preview_set_phrase       (GnomeFontPreview *preview,
                                                             const guchar *phrase);
    void                gnome_font_preview_set_font         (GnomeFontPreview *preview,
                                                             GnomeFont *font);
    void                gnome_font_preview_set_color        (GnomeFontPreview *preview,
                                                             guint32 color);
    GType               gnome_font_dialog_get_type          (void);
    GtkWidget *         gnome_font_dialog_new               (const gchar *title);
    GtkWidget *         gnome_font_dialog_get_fontsel       (GnomeFontDialog *gfsd);
    GtkWidget *         gnome_font_dialog_get_preview       (GnomeFontDialog *gfsd);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkHBox
                                           +----GnomeFontSelection

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkMisc
                               +----GtkImage
                                     +----GnomeFontPreview

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----GnomeFontDialog

## Implemented Interfaces

GnomeFontSelection implements AtkImplementorIface, GtkBuildable and GtkOrientable.

GnomeFontPreview implements AtkImplementorIface and GtkBuildable.

GnomeFontDialog implements AtkImplementorIface and GtkBuildable.

## Signals

      "font-set"                                       : Run First

## Description

## Details

### GNOME_TYPE_FONT_SELECTION

    #define GNOME_TYPE_FONT_SELECTION         (gnome_font_selection_get_type ())

### GNOME_FONT_SELECTION()

    #define GNOME_FONT_SELECTION(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), GNOME_TYPE_FONT_SELECTION, GnomeFontSelection))

`o` : |

### GNOME_FONT_SELECTION_CLASS()

    #define GNOME_FONT_SELECTION_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST    ((k), GNOME_TYPE_FONT_SELECTION, GnomeFontSelectionClass))

`k` : |

### GNOME_IS_FONT_SELECTION()

    #define GNOME_IS_FONT_SELECTION(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), GNOME_TYPE_FONT_SELECTION))

`o` : |

### GNOME_IS_FONT_SELECTION_CLASS()

    #define GNOME_IS_FONT_SELECTION_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE    ((k), GNOME_TYPE_FONT_SELECTION))

`k` : |

### GNOME_FONT_SELECTION_GET_CLASS()

    #define GNOME_FONT_SELECTION_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS  ((o), GNOME_TYPE_FONT_SELECTION, GnomeFontSelectionClass))

`o` : |

### GNOME_TYPE_FONT_DIALOG

    #define GNOME_TYPE_FONT_DIALOG         (gnome_font_dialog_get_type ())

### GNOME_FONT_DIALOG()

    #define GNOME_FONT_DIALOG(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), GNOME_TYPE_FONT_DIALOG, GnomeFontDialog))

`o` : |

### GNOME_FONT_DIALOG_CLASS()

    #define GNOME_FONT_DIALOG_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST    ((k), GNOME_TYPE_FONT_DIALOG, GnomeFontDialogClass))

`k` : |

### GNOME_IS_FONT_DIALOG()

    #define GNOME_IS_FONT_DIALOG(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), GNOME_TYPE_FONT_DIALOG))

`o` : |

### GNOME_IS_FONT_DIALOG_CLASS()

    #define GNOME_IS_FONT_DIALOG_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE    ((k), GNOME_TYPE_FONT_DIALOG))

`k` : |

### GNOME_FONT_DIALOG_GET_CLASS()

    #define GNOME_FONT_DIALOG_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS  ((o), GNOME_TYPE_FONT_DIALOG, GnomeFontDialogClass))

`o` : |

### GnomeFontSelection

    typedef struct _GnomeFontSelection GnomeFontSelection;

### GnomeFontSelectionClass

    typedef struct _GnomeFontSelectionClass GnomeFontSelectionClass;

### GnomeFontPreview

    typedef struct _GnomeFontPreview GnomeFontPreview;

### GnomeFontPreviewClass

    typedef struct _GnomeFontPreviewClass GnomeFontPreviewClass;

### GnomeFontDialog

    typedef struct _GnomeFontDialog GnomeFontDialog;

### GnomeFontDialogClass

    typedef struct _GnomeFontDialogClass GnomeFontDialogClass;

### gnome_font_selection_new ()

    GtkWidget *         gnome_font_selection_new            (void);

Returns : |

### gnome_font_selection_get_face ()

    GnomeFontFace *     gnome_font_selection_get_face       (GnomeFontSelection *fontsel);

`fontsel` : |
Returns : |

### gnome_font_selection_get_size ()

    gdouble             gnome_font_selection_get_size       (GnomeFontSelection *fontsel);

`fontsel` : |
Returns : |

### gnome_font_selection_get_font ()

    GnomeFont *         gnome_font_selection_get_font       (GnomeFontSelection *fontsel);

`fontsel` : |
Returns : |

### gnome_font_selection_set_font ()

    void                gnome_font_selection_set_font       (GnomeFontSelection *fontsel,
                                                             GnomeFont *font);

`fontsel` : |
`font` : |

### gnome_font_preview_get_type ()

    GType               gnome_font_preview_get_type         (void);

Returns : |

### gnome_font_preview_new ()

    GtkWidget *         gnome_font_preview_new              (void);

Returns : |

### gnome_font_preview_set_phrase ()

    void                gnome_font_preview_set_phrase       (GnomeFontPreview *preview,
                                                             const guchar *phrase);

`preview` : |
`phrase` : |

### gnome_font_preview_set_font ()

    void                gnome_font_preview_set_font         (GnomeFontPreview *preview,
                                                             GnomeFont *font);

`preview` : |
`font` : |

### gnome_font_preview_set_color ()

    void                gnome_font_preview_set_color        (GnomeFontPreview *preview,
                                                             guint32 color);

`preview` : |
`color` : |

### gnome_font_dialog_get_type ()

    GType               gnome_font_dialog_get_type          (void);

Returns : |

### gnome_font_dialog_new ()

    GtkWidget *         gnome_font_dialog_new               (const gchar *title);

`title` : |
Returns : |

### gnome_font_dialog_get_fontsel ()

    GtkWidget *         gnome_font_dialog_get_fontsel       (GnomeFontDialog *gfsd);

`gfsd` : |
Returns : |

### gnome_font_dialog_get_preview ()

    GtkWidget *         gnome_font_dialog_get_preview       (GnomeFontDialog *gfsd);

`gfsd` : |
Returns : |

## Signal Details

### The `"font-set"` signal

    void                user_function                      (GnomeFontSelection *fontselection,
                                                            gpointer            arg1,
                                                            gpointer            user_data)          : Run First

`fontselection` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.